#
# spec file for package grafana-sap-netweaver-dashboards
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           grafana-sap-netweaver-dashboards
# Version will be processed via set_version source service
Version:        1.0.3+git.1601889366.9f71957
Release:        1.8
Summary:        Grafana Dashboards displaying metrics about a SAP NetWeaver landscape.
License:        Apache-2.0
Group:          System/Monitoring
URL:            https://github.com/SUSE/sap_host_exporter
Source:         %{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:       grafana-sap-providers
BuildRequires:  grafana-sap-providers

%description
Grafana Dashboards displaying metrics about a SAP NetWeaver landscape.

%prep
%setup -q

%build

%install
install -dm0755 %{buildroot}%{_localstatedir}/lib/grafana/dashboards/sles4sap
install -m644 dashboards/*.json %{buildroot}%{_localstatedir}/lib/grafana/dashboards/sles4sap

%files
%defattr(-,root,root)
%doc dashboards/README.md
%license LICENSE
%attr(0755,grafana,grafana) %dir %{_localstatedir}/lib/grafana/dashboards/sles4sap
%attr(0644,grafana,grafana) %config %{_localstatedir}/lib/grafana/dashboards/sles4sap/*

%changelog
* Fri Oct  2 2020 Dario Maiocchi <dmaiocchi@suse.com>
- Release 1.0.3
  * Add variable for prometheus datasource (bsc#1177229)
* Wed Sep 16 2020 Dario Maiocchi <dmaiocchi@suse.com>
- Release 1.0.2
  * Remove useless macro and fix typo in the meanwhile
* Wed Aug  5 2020 Stefano Torresi <stefano.torresi@suse.com>
- Release 1.0.1
  * Update schema to Grafana 7
  * Update title and description
* Wed Jul 15 2020 Stefano Torresi <stefano.torresi@suse.com>
- First release
